/* This program averages the numbers entered
   by the user by instantiating an object and
   calling a method on that object.  */
import java.io.*;

class Calculator
{
	  void interactive() throws IOException
	  {
		// create a BufferedReader using System.in
		BufferedReader br = new
		  BufferedReader(new InputStreamReader(System.in));
		String str; // number of numbers to enter
		int n; // numberical value of string str
		double sum = 0.0;
		double t; // temporary value to be included in the average
		double avg;

		System.out.print("I will computer the average of the number that you enter.\n\tHow many numbers will you enter: ");
		str = br.readLine();
		try
		{
		  n = Integer.parseInt(str);
		}
		catch(NumberFormatException exc)
		{
		  System.out.println("Invalid format");
		  n = 0;
		}

		System.out.println("Enter " + n + " values.");
		for(int i=0; i < n; i++)
		{
		  System.out.print(": ");
		  str = br.readLine();
		  try
		  {
			t = Double.parseDouble(str);
		  } catch(NumberFormatException exc)
		  {
			System.out.println("Invalid format");
			t = 0.0;
		  }
		  sum += t; // sum = sum + t, a running total
		}
		avg = sum / n;
		System.out.println("The sum of the numbers you entered is " + sum);
		System.out.println("Average is " + avg);
	  }
}

class AverageNumbersInputFromKeyboardMethodCall
{
	public static void main(String[] args) throws IOException
	{
		System.out.println("Let's call the interactive method");
		Calculator myCalculator = new Calculator();
		myCalculator.interactive();
		System.out.println("done");
	}
}