/* Demonstrate that parsing a string as an integer
   is non-trivial.
*/
public class ParseCommandLineArg
{
    public static void main (String[] args)
    {
		int firstArg, secondArg;
		if(args.length > 0)
		{
			try
			{
				firstArg = Integer.parseInt(args[0]);
				System.out.println(args[0]);

			    secondArg = Integer.parseInt(args[1]);
				System.out.println(args[1]);
				System.out.println("String concatenation gives us: " + firstArg + secondArg);
				int mySum = firstArg + secondArg;
				System.out.println("The sum is: " + mySum);

			}
			catch (NumberFormatException e)
			{
				System.err.println("Argument must be an integer");
				System.exit(1);
			}
		}
		else System.out.println("This program requires commandline input");
    }
}